Package org.springframework.dao

# Class CannotAcquireLockException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.TransientDataAccessException
org.springframework.dao.ConcurrencyFailureException
org.springframework.dao.PessimisticLockingFailureException
org.springframework.dao.CannotAcquireLockException

All Implemented Interfaces:
  `Serializable`

public class CannotAcquireLockException extends PessimisticLockingFailureException
Exception thrown on failure to acquire a lock during an update, for example during a "select for update" statement.

Consider handling the general `PessimisticLockingFailureException` instead, semantically including a wider range of locking-related failures.

Author:
  Rod Johnson
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CannotAcquireLockException(String msg)`
Constructor for CannotAcquireLockException.
`CannotAcquireLockException(String msg, Throwable cause)`
Constructor for CannotAcquireLockException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CannotAcquireLockException

public CannotAcquireLockException(@Nullable String msg)
Constructor for CannotAcquireLockException.

Parameters:
  `msg` - the detail message

### CannotAcquireLockException

public CannotAcquireLockException(@Nullable String msg, @Nullable Throwable cause)
Constructor for CannotAcquireLockException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the data access API in use